package com.ruoyi.project.document.service;

import com.ruoyi.project.document.domain.TPlantproglist;
import org.apache.poi.xwpf.usermodel.XWPFDocument;
import org.apache.poi.xwpf.usermodel.XWPFParagraph;
import org.apache.poi.xwpf.usermodel.XWPFRun;

import java.util.List;

/**
 * 装置程序清单Service接口
 *
 * @author ruoyi
 * @date 2020-11-26
 */
public interface ITPlantproglistService
{
    /**
     * 查询装置程序清单
     *
     * @param id 装置程序清单ID
     * @return 装置程序清单
     */
    public TPlantproglist selectTPlantproglistById(Long id);

    /**
     * 查询装置程序清单列表
     *
     * @param tPlantproglist 装置程序清单
     * @return 装置程序清单集合
     */
    public List<TPlantproglist> selectTPlantproglistList(TPlantproglist tPlantproglist);
    public List<TPlantproglist> countNextReviewDate(TPlantproglist tPlantproglist);
    public List<TPlantproglist> countNextEditDate(TPlantproglist tPlantproglist);

    /**
     * 定时任务查询装置程序清单列表
     *
     * @param tPlantproglist 装置程序清单
     * @return 装置程序清单集合
     */
    public List<TPlantproglist> selectList(TPlantproglist tPlantproglist);

    /**
     * 新增装置程序清单
     *
     * @param tPlantproglist 装置程序清单
     * @return 结果
     */
    public int insertTPlantproglist(TPlantproglist tPlantproglist);

    /**
     * 修改装置程序清单
     *
     * @param tPlantproglist 装置程序清单
     * @return 结果
     */
    public int updateTPlantproglist(TPlantproglist tPlantproglist);

    /**
     * 批量删除装置程序清单
     *
     * @param ids 需要删除的装置程序清单ID
     * @return 结果
     */
    public int deleteTPlantproglistByIds(Long[] ids);

    /**
     * 删除装置程序清单信息
     *
     * @param id 装置程序清单ID
     * @return 结果
     */
    public int deleteTPlantproglistById(Long id);

    void dealPlantproglist(XWPFDocument doc, XWPFParagraph paragraph, XWPFRun run);
}
